#!/bin/sh
# this is executed on camera when app is installed

#set debug mode and redirext ALL output to logfile.
#KEEP THIS AT TOP!!!
set -x
set +e
exec > /tmp/netrexcamstreamer_install.log 2>&1

# chmod
chmod 750 /usr/local/packages/netrexcamstreamer/html/*.cgi
chmod 750 /usr/local/packages/netrexcamstreamer/html/*.shtml
chmod 750 /usr/local/packages/netrexcamstreamer/netrexcamstreamer
chmod 750 /usr/local/packages/netrexcamstreamer/tools/enable_cgi.sh
chmod 750 /usr/local/packages/netrexcamstreamer/tools/avlib
chmod 750 /usr/local/packages/netrexcamstreamer/tools/ffmpeg
chmod 750 /usr/local/packages/netrexcamstreamer/tools/ffprobe
chmod 750 /usr/local/packages/netrexcamstreamer/tools/dynamicOverlay
chmod 750 /usr/local/packages/netrexcamstreamer/tools/netstat

# enable_cgi for apache
/usr/local/packages/netrexcamstreamer/tools/enable_cgi.sh


eval $(grep VERSION /usr/local/packages/netrexcamstreamer/package.conf)
VERSION="$APPMAJORVERSION.$APPMINORVERSION.$APPMICROVERSION"
parhandclient set netrexcamstreamer.Version "$VERSION"

parhandclient get Layout.CustomLink.C0.Enabled | grep 'no'
if [ $? -eq 0 ]; then 
  parhandclient set Layout.CustomLink.C0.Enabled "yes"
  parhandclient set Layout.CustomLink.C0.Name "CamStreamer Configuration"
  parhandclient set Layout.CustomLink.C0.URL "/local/netrexcamstreamer/settings.cgi"
  parhandclient set Layout.CustomLink.C0.Usage "web"
fi
